[med-svn] [Git][med-team/proteinortho][master] 4 commits: routine-update: New upstream version

Nilesh Patra gitlab at salsa.debian.org
Tue Jan 12 14:27:46 GMT 2021



Nilesh Patra pushed to branch master at Debian Med / proteinortho


Commits:
d3727ba9 by Nilesh Patra at 2021-01-12T19:47:12+05:30
routine-update: New upstream version

- - - - -
a4dc1a39 by Nilesh Patra at 2021-01-12T19:47:13+05:30
New upstream version 6.0.27+dfsg
- - - - -
d78c7b30 by Nilesh Patra at 2021-01-12T19:47:15+05:30
Update upstream source from tag 'upstream/6.0.27+dfsg'

Update to upstream version '6.0.27+dfsg'
with Debian dir c3c80d78f6e25c6f9139ec1e550c6068e3845887
- - - - -
9e6c42c3 by Nilesh Patra at 2021-01-12T19:47:35+05:30
routine-update: Ready to upload to unstable

- - - - -


7 changed files:

- .gitignore
- CHANGELOG
- CHANGEUID
- debian/changelog
- proteinortho6.pl
- src/.gitlab-ci.yml
- src/proteinortho_ffadj_mcs.py


Changes:

=====================================
.gitignore
=====================================
@@ -1,7 +1,7 @@
 myproject.*
 .Rhistory
 old/
-remove.graph
+remove.graph*
 test/*.dmnd
 test/*.pin
 test/*.phr


=====================================
CHANGELOG
=====================================
@@ -276,3 +276,14 @@
 	2. Dez (5195)
 		fixing proteinortho_grab_protein.pl (https://gitlab.com/paulklemm_PHD/proteinortho/-/issues/41)
 		and ids that are not found are printed to STDERR 
+2021
+	3. Jan (5200)
+		fixed output sorting (*.proteinortho.tsv)	
+	8. Jan (5378) 
+		fixed a bug (https://gitlab.com/paulklemm_PHD/proteinortho/-/issues/42), i.e. -synteny option in combination with a -project name with a "." did let ffadj fail.
+		fixed a bug: -silent is now silent again
+		output files are overwritten instead of appended (which makes no sense)
+		selfblast option does now ignore hits between the same protein automatically (before cleanupblastgraph was used)
+		proteinortho.summary will be omitted if -nograph is set (there is no graph to generate a summary from)
+	10. Jan (5379)
+		last update introduced a bug that removes the *.blast-graph if --step=3 is used


=====================================
CHANGEUID
=====================================
@@ -1 +1 @@
-5195
+5379


=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+proteinortho (6.0.27+dfsg-1) unstable; urgency=medium
+
+  * Team upload.
+  * New upstream version
+
+ -- Nilesh Patra <npatra974 at gmail.com>  Tue, 12 Jan 2021 19:47:35 +0530
+
 proteinortho (6.0.25+dfsg-1) unstable; urgency=medium
 
   * Team upload.


=====================================
proteinortho6.pl
=====================================
@@ -464,7 +464,7 @@ use POSIX;
 ##########################################################################################
 # Variables
 ##########################################################################################
-our $version = "6.0.25";
+our $version = "6.0.27";
 our $step = 0;    # 0/1/2/3 -> do all / only apply step 1 / only apply step 2 / only apply step 3
 our $verbose = 1; # 0/1   -> don't / be verbose
 our $debug = 0;   # 0/1   -> don't / show debug data
@@ -711,7 +711,6 @@ if($gccversion_main eq "" || $gccversion_main < 5){
 
 our $simgraph = "$project.blast-graph$run_id";    # Output file graph
 our $syngraph = "$project.ffadj-graph$run_id";    # Output file synteny
-
 our $csimgraph = "$project.proteinortho-graph";   # Output file graph
 our $csyngraph = "$project.poff-graph";       # Output file synteny
 our $simtable = "$project.proteinortho.tsv";      # Output file graph
@@ -743,23 +742,37 @@ if (-e "$project.proteinortho.tsv" && $step!=1 && ( ( scalar(@files) > 2 && $ste
   print STDERR "\nWell then, proceeding...\n\n";
 }
 
-# if($step!=1){
-  if($tmp_path eq ""){$tmp_path=".";}
-  if( $tmp_path !~ qr/proteinortho_cache_$project/ ){
-    if(! -d $tmp_path."/proteinortho_cache_$project"){
-      system("mkdir $tmp_path/proteinortho_cache_$project");
-      if( -d $tmp_path."/proteinortho_cache_$project"){
-        $tmp_path.="/proteinortho_cache_$project/";
-      }
-    }else{
+# if step=1 -> generate blast db, no need for unlinking results
+if($step!=1){
+  if($step!=3){ # if step 3 then dont destroy the blast results ...
+    unlink($simgraph);
+    unlink($syngraph);
+  }
+  # destroy all the *.proteinortho.tsv, *.poff, *.html results
+  unlink($csimgraph);
+  unlink($csyngraph);
+  unlink($simtable);
+  unlink($simtablehtml);
+  unlink($syntable);
+  unlink($syntablehtml);
+  unlink($desctable);
+}
+
+if($tmp_path eq ""){$tmp_path=".";}
+if( $tmp_path !~ qr/proteinortho_cache_$project/ ){
+  if(! -d $tmp_path."/proteinortho_cache_$project"){
+    system("mkdir $tmp_path/proteinortho_cache_$project");
+    if( -d $tmp_path."/proteinortho_cache_$project"){
       $tmp_path.="/proteinortho_cache_$project/";
     }
   }else{
-    if(!-d $tmp_path){
-     mkdir("$tmp_path");
-    }
+    $tmp_path.="/proteinortho_cache_$project/";
   }
-# }
+}else{
+  if(!-d $tmp_path){
+   mkdir("$tmp_path");
+  }
+}
 
 our $rm_simgraph = "$tmp_path$project.removed_blast-graph";   # Output remove graph
 our $rm_syngraph = "$tmp_path$project.removed_ffadj-graph";   # Output remove graph
@@ -889,16 +902,38 @@ if ($step == 0 || $step == 2) {
 # Check for duplicated edges if --unique or --checkblast
 if($checkblast == 1){
 
-  print STDERR "\n$GREEN**Step 2.5 Checking blast graph(s)**$NC\n";
+  if($verbose) {print STDERR "\n$GREEN**Step 2.5 Checking blast graph(s)**$NC\n"};
 
   if($synteny){
-    system("$po_path/proteinortho_cleanupblastgraph $syngraph"."* >tmp_$syngraph 2>/dev/null && mv tmp_$syngraph $syngraph"."_clean");
-    $syngraph.="_clean";
-    print STDERR "A clean version without any duplicated edges of $syngraph is saved to $syngraph"."_clean\n";
+    unlink($syngraph."_clean");
+    system("$po_path/proteinortho_cleanupblastgraph $syngraph"."* >tmp_$syngraph 2>$tmp_path/proteinortho_cleanupblastgraph.out && mv tmp_$syngraph $syngraph"."_clean");
+    
+    my $wcl_clean = `grep "removed" $tmp_path/proteinortho_cleanupblastgraph.out | wc -l`;
+    chomp($wcl_clean);
+    $wcl_clean =~ s/[ \t]+.*$//;
+
+    if($wcl_clean > 0){
+      $syngraph.="_clean";
+      if($verbose) {print STDERR "A clean version without any duplicated edges of $syngraph is saved to $syngraph"."_clean\n";}
+    }else{
+      if($verbose) {print STDERR "$syngraph is free of duplicated edges\n";}
+      unlink($syngraph."_clean");
+    }
   }else{
-    system("$po_path/proteinortho_cleanupblastgraph $simgraph"."* >tmp_$simgraph 2>/dev/null && mv tmp_$simgraph $simgraph"."_clean");
-    $simgraph.="_clean";
-    print STDERR "A clean version without any duplicated edges of $simgraph is saved to $simgraph"."_clean\n";
+    unlink($simgraph."_clean");
+    system("$po_path/proteinortho_cleanupblastgraph $simgraph"."* >tmp_$simgraph 2>$tmp_path/proteinortho_cleanupblastgraph.out && mv tmp_$simgraph $simgraph"."_clean");
+    
+    my $wcl_clean = `grep "removed" $tmp_path/proteinortho_cleanupblastgraph.out | wc -l`;
+    chomp($wcl_clean);
+    $wcl_clean =~ s/[ \t]+.*$//;
+
+    if($wcl_clean > 0){
+      $simgraph.="_clean";
+      if($verbose) {print STDERR "A clean version without any duplicated edges of $simgraph is saved to $simgraph"."_clean\n";}
+    }else{
+      if($verbose) {print STDERR "$simgraph is free of duplicated edges\n";}
+      unlink($simgraph."_clean");
+    }
   }
 }
 
@@ -973,7 +1008,7 @@ sub cluster {
     my $cluster_verbose_level = "";
     if($verbose == 1){ $cluster_verbose_level = "-verbose 1 "; }
     if($verbose == 2){ $cluster_verbose_level = "-debug 1 "; }
-    system ("OMP_PROC_BIND=$ompprocbind $po_path/proteinortho_clustering $cluster_verbose_level -minspecies $minspecies -ram ".$freemem_inMB." -kmere ".(1-$exactstep3)." -debug $debug -cpus $cpus -weighted 1 -conn $connectivity -purity $purity $clusterOptions -rmgraph '$rm_simgraph' $simgraph* >'$simtable'");
+    system ("OMP_PROC_BIND=$ompprocbind $po_path/proteinortho_clustering $cluster_verbose_level -minspecies $minspecies -ram ".$freemem_inMB." -kmere ".(1-$exactstep3)." -debug $debug -cpus $cpus -weighted 1 -conn $connectivity -purity $purity $clusterOptions -rmgraph '$rm_simgraph' '$simgraph'* >'$simtable' ".($verbose == 2 ? "" : "2>/dev/null"));
     if ($? != 0) {
           &Error("'proteinortho_clustering' failed with code $?.$NC (Please visit https://gitlab.com/paulklemm_PHD/proteinortho/wikis/Error%20Code)\nMaybe your operating system does not support the statically compiled version, please try recompiling proteinortho with 'make clean' and 'make' (and 'make install PREFIX=...').");
         }
@@ -992,7 +1027,7 @@ sub cluster {
     if($verbose){print STDERR "You can extract the fasta files of each orthology group with\nproteinortho_grab_proteins.pl -tofiles $simtable '".join("' '", at files)."'\n (Careful: This will generate a file foreach line in the file $simtable).\n";}
   }
 
-  system("(head -n 1 '$simtable' && tail -n +2 '$simtable' | sort -k1,2nr -k3,3gr ) > '$simtable.sort'; mv '$simtable.sort' '$simtable'");
+  system("(head -n 1 '$simtable' && tail -n +2 '$simtable' | LC_ALL=C sort -k1,1nr -k2,2nr -k3,3nr ) > '$simtable.sort'; mv '$simtable.sort' '$simtable'");
   
   if ($singles) {
     if($verbose){print STDERR "Adding singles...\n";}
@@ -1009,10 +1044,10 @@ sub cluster {
     if($verbose){print STDERR "[OUTPUT] -> Orthologous pairs are written to $csimgraph\n";}
   }
 
-  if(-x "$po_path/proteinortho_summary.pl"){
+  if(!$nograph && (-x "$po_path/proteinortho_summary.pl")){
     system("$po_path/proteinortho_summary.pl '$csimgraph' >>'$csimgraph.summary' 2>/dev/null");
+    if($verbose){print STDERR "[OUTPUT] -> Summary is written to $csimgraph.summary\n";}
   }   
-  if($verbose){print STDERR "[OUTPUT] -> Summary is written to $csimgraph.summary\n";}
 
 
   if(scalar @files < 10){
@@ -1037,7 +1072,7 @@ sub cluster {
       my $cluster_verbose_level = "";
       if($verbose == 1){ $cluster_verbose_level = "-verbose 1 "; }
       if($verbose == 2){ $cluster_verbose_level = "-debug 1 "; }
-      system ("OMP_PROC_BIND=$ompprocbind $po_path/proteinortho_clustering $cluster_verbose_level $clusterOptions -minspecies $minspecies -ram ".$freemem_inMB." -kmere ".(1-$exactstep3)." -debug $debug -cpus $cpus -weighted 1 -conn $connectivity -purity $purity $clusterOptions -rmgraph '$rm_syngraph' $syngraph* >'$syntable'");
+      system ("OMP_PROC_BIND=$ompprocbind $po_path/proteinortho_clustering $cluster_verbose_level $clusterOptions -minspecies $minspecies -ram ".$freemem_inMB." -kmere ".(1-$exactstep3)." -debug $debug -cpus $cpus -weighted 1 -conn $connectivity -purity $purity $clusterOptions -rmgraph '$rm_syngraph' '$syngraph'* >'$syntable' ".($verbose == 2 ? "" : "2>/dev/null"));
       if ($? != 0) {
         &Error("proteinortho_clustering failed with code $?.$NC (Please visit https://gitlab.com/paulklemm_PHD/proteinortho/wikis/Error%20Code)\nDid you use a static version? Maybe your operating system does not support the static compiled version, please recompile 'make clean' and 'make' or 'make USEPRECOMPILEDLAPACK=FALSE'.");
       }
@@ -1047,7 +1082,7 @@ sub cluster {
       system("mv mcl.proteinortho-graph $csyngraph");
     }
 
-    system("(head -n 1 '$syntable' && tail -n +2 '$syntable' | sort -k1,2nr -k3,3gr ) > '$syntable.sort'; mv '$syntable.sort' '$syntable'");
+    system("(head -n 1 '$syntable' && tail -n +2 '$syntable' | LC_ALL=C sort -k1,1nr -k2,2nr -k3,3nr ) > '$syntable.sort'; mv '$syntable.sort' '$syntable'");
 
     if($verbose){print STDERR "[OUTPUT] -> Orthologous groups are written to $syntable\nYou can extract the fasta files of each orthology group with\nproteinortho_grab_proteins.pl -tofiles $syntable '".join("' '", at files)."'\n(Careful: This will generate a file foreach line in the file $syntable).\n";}
 
@@ -1064,10 +1099,10 @@ sub cluster {
     }elsif($useMcl){
       if($verbose){print STDERR "[OUTPUT] -> Orthologous pairs are written to $csyngraph\n";}
     }
-    if(-x "$po_path/proteinortho_summary.pl"){
+    if(!$nograph && (-x "$po_path/proteinortho_summary.pl")){
       system("$po_path/proteinortho_summary.pl '$csyngraph' >>'$csyngraph.summary'");
+      if($verbose){print STDERR "[OUTPUT] -> Summary is written to $csyngraph.summary\n";}
     }
-    if($verbose){print STDERR "[OUTPUT] -> Summary is written to $csyngraph.summary\n";}
     
     system("perl $po_path/proteinortho2html.pl $syntable '".join("' '", at files)."' >$syntablehtml");
     if($verbose){print STDERR "[OUTPUT] -> Orthologous groups are written to $syntablehtml\n";}
@@ -1342,7 +1377,7 @@ sub workerthread {
   # Clean up, just to be safe
   unlink("$temp_file.tmp");
   unlink("$temp_file.log");
-  unlink("$temp_file.matching");
+  unlink("$temp_file.tmp.matching");
 
   while (1) {
     my ($i, $j);
@@ -1406,6 +1441,17 @@ sub workerthread {
     # Remove secondary hits if better exist (test here instead of later)
     %reciprocal_matches = %{&adaptive_best_blast_matches(\%reciprocal_matches)};
 
+    if($selfblast && $file_i eq $file_j){
+      my %seen_selfblast_edge;
+      foreach (keys %reciprocal_matches) {
+        my ($a,$b) = split(" ",$_);
+        my $key = ($a lt $b ? "$a $b" : "$b $a" );
+        if(!exists $seen_selfblast_edge{$key}){$seen_selfblast_edge{$key}=1}else{
+          delete $reciprocal_matches{$_};
+        }
+      }
+    }
+
     if ($synteny) {
       my ($ordered_matches, $track_pointer, $close_copies_pointer) = &synteny_matches(\%reciprocal_matches,$file_i,$file_j);
       open(PREGRAPH,">>$temp_file.tmp") || &Error("Could not open temp file '$temp_file.tmp': $!");
@@ -1440,13 +1486,13 @@ sub workerthread {
       # Generate hash for synteny hits
       my %synteny;
 
-      unless (-s "$temp_file.matching") {
+      unless (-s "$temp_file.tmp.matching") {
         print STDERR "\n$RED [Error] Failed to run $po_path/proteinortho_ffadj_mcs.py for\n$file_i vs $file_j\nMoving source to $temp_file.err for debugging\nI will continue, but results may be insufficient.$NC \n\n";
         system("mv $temp_file.tmp $temp_file.err");
         next;
       }
 
-      open(OSYNGRAPH,"<$temp_file.matching") || &Error("Could not open temp file $temp_file.matching: $!'");
+      open(OSYNGRAPH,"<$temp_file.tmp.matching") || &Error("Could not open temp file $temp_file.tmp.matching: $!'");
       while(<OSYNGRAPH>) {
           $_=~s/[\r\n]+$//;
           my ($i, $j, $score) = split(/\s+/,$_,3);
@@ -1480,7 +1526,7 @@ sub workerthread {
         close(OSYNGRAPH);
         unlink("$temp_file.tmp");
         unlink("$temp_file.log");
-        unlink("$temp_file.matching");
+        unlink("$temp_file.tmp.matching");
 
       {
       lock($syn_lock);
@@ -2288,6 +2334,13 @@ sub blast {
     if(!$keep){unlink $bla}
   }
 
+  if($selfblast){
+    @data = map {
+      my @a = split("\t",$_); 
+      ($a[0] ne $a[1]) ? ($_) : () 
+    } @data;
+  }
+  
   return \@data;
 }
 


=====================================
src/.gitlab-ci.yml
=====================================
@@ -8,16 +8,52 @@ stages:
   - test-precompiled-bins
   - recompile-and-test
  
-gcc-latest-alloptions:
+gcc-latest-manyoptions-together:
   image: gcc
   stage: test-precompiled-bins
   script:
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
-  - mkdir ~/bin
-  - cp diamond ~/bin
-  - perl proteinortho*pl -project=testasd -cpus=1 -ram=100 -verbose=2 -selfblast -silent -force -desc -checkfasta -cleanblast -debug -binpath=~/bin -tmp='~/' -e=0.000001 -sim=0.9 -identity=20 -cov=30 -subparaBlast='--more-sensitive' -synteny -dups=1 -cs=4 -alpha=0.4 -conn=0.01 -purity=0.00001 -minspecies=2 -subparaCluster='-cpus 1 -seed 1' -nograph -singles -xml -exactstep3 test/*faa >/dev/null 2>&1 && rm testasd*poff* && rm testasd*fadj* && rm testasd*info* && export LC_NUMERIC="C" && export LC_ALL="C" && rm *descriptions* && rm *proteinortho.html* && rm *summary* && for f in testasd.*; do sort $f >$f.testasd; done; sha256sum -b *testasd | tr -d '\n' | awk '{if($0 == "fa18e9a0530f5a5754f045cfe97deaf818bdb5eb725619952633f1da0641cf7b *testasd.proteinortho.tsv.testasdb62d47f47bd68c8b8cfdbb4aacfd820cfd40b220622fe96a414fc207ade2668e *testasd.proteinortho.tsv.xml.testasd"){print $0." -> OK"; exit 0}else{print $0." -> failed"; exit 1}}'
+  - cp diamond $HOME
+  - export PATH="$PATH:$HOME"
+  - perl proteinortho*pl -project=testasd -cpus=1 -ram=1 -verbose=1 -force -desc -checkfasta -cleanblast -e=0.000001 -sim=0.98 -identity=20 -cov=30 -subparaBlast='--more-sensitive' -synteny -dups=1 -cs=4 -alpha=0.4 -conn=0.01 -purity=0.00001 -minspecies=2 -subparaCluster='-cpus 1 -seed 1 -powLapD 10' -nograph -singles -xml -exactstep3 test/*faa || exit 1
+  - rm *info;
+  - for f in testasd.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm *descriptions *html *xml; 
+
+gcc-latest-someoptions-one-by-one:
+  image: gcc
+  stage: test-precompiled-bins
+  script:
+  - echo "installing diamond"
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
+  - tar xzf diamond-linux64.tar.gz
+  - cp diamond $HOME
+  - export PATH="$PATH:$HOME"
+  - perl proteinortho*pl -synteny test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm myproject*; 
+  - perl proteinortho*pl -selfblast test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm myproject*; 
+  - perl proteinortho*pl -conn=1 test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm myproject*; 
+  - perl proteinortho*pl -sim=1 test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm myproject*; 
+  - perl proteinortho*pl -singles test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
+  - rm myproject*; 
+  - perl proteinortho*pl -project="weirdname.,:_+#*\$ ?.,($&)" test/*faa || exit 1
+  - rm *info; 
+  - for f in weirdname.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 gcc-latest-all-p:
   image: gcc
@@ -35,33 +71,39 @@ gcc-latest-all-p:
   - cd $CWD && echo "installing topaz"
   - git clone https://github.com/ajm/topaz && cd topaz/src && make && cp topaz $HOME && cd ../..
   - cd $CWD && echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz && tar xzf diamond-linux64.tar.gz && cp diamond $HOME
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz && tar xzf diamond-linux64.tar.gz && cp diamond $HOME
   - export PATH="$PATH:$HOME"
   - echo "start proteinortho tests"
   - gcc --version
   - make clean
   - make all
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 gcc-latest-diamond:
   image: gcc
   stage: test-precompiled-bins
   script:
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
   - echo "start proteinortho tests"
   - gcc --version
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 nolapack-gcc-latest:
   image: gcc
   stage: recompile-and-test
   script:
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
@@ -70,6 +112,9 @@ nolapack-gcc-latest:
   - make clean
   - make LAPACK=FALSE
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 #gcc5:
 #  image: gcc:5
@@ -81,7 +126,7 @@ nolapack-gcc-latest:
 #  - make
 #  - cp topaz $HOME
 #  - echo "installing diamond"
-#  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+#  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
 #  - tar xzf diamond-linux64.tar.gz
 #  - cp diamond $HOME
 #  - export PATH="$PATH:$HOME"
@@ -104,12 +149,15 @@ ubuntu-latest0:
   - cp topaz $HOME
   - cd ../..
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
   - echo "start proteinortho tests"
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 ubuntu-latest:
   image: ubuntu
@@ -123,7 +171,7 @@ ubuntu-latest:
   - cp topaz $HOME
   - cd ../..
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
@@ -131,6 +179,9 @@ ubuntu-latest:
   - make clean
   - make all
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 debian-latest:
   image: debian
@@ -143,7 +194,7 @@ debian-latest:
   - make
   - cp topaz $HOME
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
@@ -152,6 +203,9 @@ debian-latest:
   - make clean
   - make all
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
 
 #fedora-latest:
 #  image: fedora
@@ -175,7 +229,7 @@ debian-latest:
 #  - cp ncbi-blast*/bin/blastp $HOME
 #  - cp ncbi-blast*/bin/makeblastdb $HOME
 #  - echo "installing diamond"
-#  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+#  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
 #  - tar xzf diamond-linux64.tar.gz
 #  - cp diamond $HOME
 #  - export PATH="$PATH:$HOME"
@@ -198,7 +252,7 @@ centos-latest:
   - cp ncbi-blast*/bin/blastp $HOME
   - cp ncbi-blast*/bin/makeblastdb $HOME
   - echo "installing diamond"
-  - wget http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
+  - wget http://github.com/bbuchfink/diamond/releases/download/v2.0.6/diamond-linux64.tar.gz
   - tar xzf diamond-linux64.tar.gz
   - cp diamond $HOME
   - export PATH="$PATH:$HOME"
@@ -206,6 +260,9 @@ centos-latest:
   - make clean
   - make
   - make test
+  - perl proteinortho*pl test/*faa || exit 1
+  - rm *info; 
+  - for f in myproject.*; do if [ "$(grep -v '#' $f | wc -l | awk '{print $1}' | tr -d '\n')" -lt 10 ]; then echo "$f failed size check, output should be more than 10 lines..."; exit 1; fi; done
  
 #code_quality:
 #  image: docker:stable


=====================================
src/proteinortho_ffadj_mcs.py
=====================================
@@ -820,7 +820,7 @@ if __name__ == '__main__':
 
     edg = sum(map(len, selectedRuns))
 
-    matchfile = args.dist_file.rsplit('.')[0]+'.matching'
+    matchfile = args.dist_file+'.matching'
     printMatching(g1_mod, g2_mod, g1_runs, multiChrom, matchfile)
 
     #



View it on GitLab: https://salsa.debian.org/med-team/proteinortho/-/compare/625ddb2a8fe50a736115943ed43db4138aa3a386...9e6c42c356a281fb5b32f95587dd63adfe0178e4

-- 
View it on GitLab: https://salsa.debian.org/med-team/proteinortho/-/compare/625ddb2a8fe50a736115943ed43db4138aa3a386...9e6c42c356a281fb5b32f95587dd63adfe0178e4
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210112/c4d59cc5/attachment-0001.html>


More information about the debian-med-commit mailing list